package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsUserLevel;

/**
 * 用户等级记录Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsUserLevelMapper 
{
    /**
     * 查询用户等级记录
     * 
     * @param id 用户等级记录ID
     * @return 用户等级记录
     */
    public FsUserLevel selectFsUserLevelById(Long id);

    /**
     * 查询用户等级记录列表
     * 
     * @param fsUserLevel 用户等级记录
     * @return 用户等级记录集合
     */
    public List<FsUserLevel> selectFsUserLevelList(FsUserLevel fsUserLevel);

    /**
     * 新增用户等级记录
     * 
     * @param fsUserLevel 用户等级记录
     * @return 结果
     */
    public int insertFsUserLevel(FsUserLevel fsUserLevel);

    /**
     * 修改用户等级记录
     * 
     * @param fsUserLevel 用户等级记录
     * @return 结果
     */
    public int updateFsUserLevel(FsUserLevel fsUserLevel);

    /**
     * 删除用户等级记录
     * 
     * @param id 用户等级记录ID
     * @return 结果
     */
    public int deleteFsUserLevelById(Long id);

    /**
     * 批量删除用户等级记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsUserLevelByIds(Long[] ids);
}
